Subject: Bug#899: [X2Go-Dev] EPEL 6 8 Jul 2015 release has dependency error

From: "Harris, Peter A" <[email-masked]>
Date: Thu, 2 Jul 2015 00:24:34 +0000

The primary.sqlite file in /var/cache/yum is not zipped.  Here is what I get for the unzipped file:
--------------------------
[PAH-TEST-134-62-62]
tmp>  cd /var/cache/yum/x2go-release-epel 

[PAH-TEST-134-62-62]
x2go-release-epel>  ls
3622fd378b433fadfe2447d160f0503c8e55fb6508403c2f5812332055ea7021-other.sqlite      cachecookie
3b4d858dc9502dd70495a7478354dda38d1b5920981e1e763b6b3d4cc479b215-filelists.sqlite  packages
3e2ca432eee448392bed25e4ace4fc5cc5bd7c9c03ba52235a6350e3c0fe6d3d-primary.sqlite    repomd.xml

[PAH-TEST-134-62-62]
x2go-release-epel>  sha512sum 3e2ca432eee448392bed25e4ace4fc5cc5bd7c9c03ba52235a6350e3c0fe6d3d-primary.sqlite 
f499aed1fe3fb84e786e7bccceb663dbadf11191ba6dc6d612a260ec34764f52f74d126fdefb05d49d8df34e44f1150f8bbc40254eef7d27fcbbf8c574fe0b57  3e2ca432eee448392bed25e4ace4fc5cc5bd7c9c03ba52235a6350e3c0fe6d3d-primary.sqlite

------------------------------
Monday I did an rsync of the repo, and the copy in the repo is zipped and it does get the same checksum as you did.
-----------------------------

[PAH-TEST-134-62-62]
x2go-release-epel>  cd /localtmp/x2go-mirror/6/main/x86_64/repodata/

[PAH-TEST-134-62-62]
repodata>  sha512sum 3e2ca432eee448392bed25e4ace4fc5cc5bd7c9c03ba52235a6350e3c0fe6d3d-primary.sqlite.bz2
befb34516673a4f31a89cd1ef2e7e4ae2a57a7c2130f956bf4734c2ab253f86503417037d720f0fbc18844004b79e2da2a7668042951ba46cee24b9562d20c28  3e2ca432eee448392bed25e4ace4fc5cc5bd7c9c03ba52235a6350e3c0fe6d3d-primary.sqlite.bz2

-------------------------------
So I moved the unzipped file in the cache out of the way, unziped the one from the mirror copy into the cache dir, and ran sha512sum on that file.  It produces the same checksum as the file which yum dropped in the cache dir.

And the install still fails as before.

Next I used yumdownloader to download x2goserver and all its dependencies (except libXcompshad3 which it cannot see).  I then used sha512sum to compare those files with the ones that came down through rsync.  Since the rsync is not tunneled it may be no different than http download as far as any firewall is concerned, if indeed they are doing any virus checking.  I have had no problems with RedHat or Epel.  Anyway, the sums for all but perl-Capture-Tiny were the same.  Has that changed since June 30 22:30 UTC?

Regards,
Pete...

-----Original Message-----
<snip>

befb34516673a4f31a89cd1ef2e7e4ae2a57a7c2130f956bf4734c2ab253f86503417037d720f0fbc18844004b79e2da2a7668042951ba46cee24b9562d20c28  ../../../6/main/x86_64/repodata/3e2ca432eee448392bed25e4ace4fc5cc5bd7c9c03ba52235a6350e3c0fe6d3d-primary.sqlite.bz2

(Should be cached somewhere in /var/cache/yum.)

I have two possible thoughts: your firewall is doing weird stuff, like unpacking .bz2 files, checking them for viruses and re-packing them. That could either corrupt the file or, more likely make signature checks fail.

Second one: your HTTP cacher cached an incomplete/corrupt file.

Mihai